curl -X DELETE "https://api.helicone.ai/v1/prompt-2025/prompt_123/version_456" \
-H "Authorization: Bearer $HELICONE_API_KEY"
const response = await fetch('https://api.helicone.ai/v1/prompt-2025/prompt_123/version_456', {
method: 'DELETE',
headers: {
'Authorization': `Bearer ${HELICONE_API_KEY}`,
},
});
null
Prompts
Delete Prompt Version
Delete a specific version of a prompt
DELETE
/
v1
/
prompt-2025
/
{promptId}
/
{versionId}
curl -X DELETE "https://api.helicone.ai/v1/prompt-2025/prompt_123/version_456" \
-H "Authorization: Bearer $HELICONE_API_KEY"
const response = await fetch('https://api.helicone.ai/v1/prompt-2025/prompt_123/version_456', {
method: 'DELETE',
headers: {
'Authorization': `Bearer ${HELICONE_API_KEY}`,
},
});
null
Permanently deletes a specific version of a prompt while keeping the prompt and other versions intact.
Path Parameters
string
required
The unique identifier of the prompt
string
required
The unique identifier of the prompt version to delete
Response
Returnsnull on successful deletion.
curl -X DELETE "https://api.helicone.ai/v1/prompt-2025/prompt_123/version_456" \
-H "Authorization: Bearer $HELICONE_API_KEY"
const response = await fetch('https://api.helicone.ai/v1/prompt-2025/prompt_123/version_456', {
method: 'DELETE',
headers: {
'Authorization': `Bearer ${HELICONE_API_KEY}`,
},
});
null
Was this page helpful?